summaryrefslogtreecommitdiff
path: root/regress/usr.sbin/bgpd
diff options
context:
space:
mode:
authorClaudio Jeker <claudio@cvs.openbsd.org>2018-11-07 16:58:00 +0000
committerClaudio Jeker <claudio@cvs.openbsd.org>2018-11-07 16:58:00 +0000
commit0b932c17af4bd008585d585db5953474bd8caf06 (patch)
tree8e239e4a9427e3ed88cd84ba5cf3dac01c943898 /regress/usr.sbin/bgpd
parentc94f00deeb479fe51307f21b59c707e43fd1c4d0 (diff)
Use log updates and start bgpd -v so that errors can be debugged easier.
Also use -q on the route flush commands to silence them a bit. OK benno@
Diffstat (limited to 'regress/usr.sbin/bgpd')
-rw-r--r--regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain1.conf2
-rw-r--r--regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain2.conf2
-rw-r--r--regress/usr.sbin/bgpd/integrationtests/network_statement.sh10
3 files changed, 9 insertions, 5 deletions
diff --git a/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain1.conf b/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain1.conf
index b55ee8dc3f5..eec0eeb5c89 100644
--- a/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain1.conf
+++ b/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain1.conf
@@ -2,6 +2,8 @@ AS 4200000001
router-id 10.12.57.1
fib-update no
+log updates
+
neighbor 10.12.57.2 {
descr "RDOMAIN2"
remote-as 4200000002
diff --git a/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain2.conf b/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain2.conf
index 2f6dddc28d5..f4f5fe532f8 100644
--- a/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain2.conf
+++ b/regress/usr.sbin/bgpd/integrationtests/bgpd.network_statement.rdomain2.conf
@@ -2,6 +2,8 @@ AS 4200000002
router-id 10.12.57.2
fib-update no
+log updates
+
prefix-set mynetworks {
10.12.62.0/24
}
diff --git a/regress/usr.sbin/bgpd/integrationtests/network_statement.sh b/regress/usr.sbin/bgpd/integrationtests/network_statement.sh
index 83a1beea5e3..12eff0d9b7e 100644
--- a/regress/usr.sbin/bgpd/integrationtests/network_statement.sh
+++ b/regress/usr.sbin/bgpd/integrationtests/network_statement.sh
@@ -1,5 +1,5 @@
#!/bin/ksh
-# $OpenBSD: network_statement.sh,v 1.2 2018/10/05 08:57:51 benno Exp $
+# $OpenBSD: network_statement.sh,v 1.3 2018/11/07 16:57:59 claudio Exp $
set -e
@@ -30,8 +30,8 @@ error_notify() {
sleep 1
ifconfig ${PAIR2} destroy || true
ifconfig ${PAIR1} destroy || true
- route -n -T ${RDOMAIN1} flush || true
- route -n -T ${RDOMAIN2} flush || true
+ route -qn -T ${RDOMAIN1} flush || true
+ route -qn -T ${RDOMAIN2} flush || true
ifconfig lo${RDOMAIN1} destroy || true
ifconfig lo${RDOMAIN2} destroy || true
if [ $1 -ne 0 ]; then
@@ -71,9 +71,9 @@ route -T ${RDOMAIN2} add -label PAIR2RTABLE ${PAIR2RTABLE} \
route -T ${RDOMAIN2} add -priority 55 ${PAIR2PRIORITY} \
${PAIR1IP}
route -T ${RDOMAIN1} exec ${BGPD} \
- -f ${BGPDCONFIGDIR}/bgpd.network_statement.rdomain1.conf
+ -v -f ${BGPDCONFIGDIR}/bgpd.network_statement.rdomain1.conf
route -T ${RDOMAIN2} exec ${BGPD} \
- -f ${BGPDCONFIGDIR}/bgpd.network_statement.rdomain2.conf
+ -v -f ${BGPDCONFIGDIR}/bgpd.network_statement.rdomain2.conf
sleep 2